| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Typedefs
jmorecfg.h File Reference

Go to the source code of this file.

## Macros
#define | BITS_IN_JSAMPLE 8 /* use 8 or 12 */
#define | MAX_COMPONENTS 10 /* maximum number of image components */
#define | GETJSAMPLE(value) ((int) (value) & 0xFF)
#define | MAXJSAMPLE 255
#define | CENTERJSAMPLE 128
#define | GETJOCTET(value) ((value) & 0xFF)
#define | JPEG_MAX_DIMENSION 65500L /* a tad under 64K to prevent overflows */
#define | METHODDEF(type) static type
#define | LOCAL(type) static type
#define | GLOBAL(type) type
#define | EXTERN(type) extern type
#define | JMETHOD(type, methodname, arglist) type (*methodname) ()
#define | FAR
#define | FALSE 0 /* values of boolean */
#define | TRUE 1

## Typedefs
typedef char | JSAMPLE
typedef short | JCOEF
typedef char | JOCTET
typedef short | UINT8
typedef unsigned int | UINT16
typedef short | INT16
typedef long | INT32
typedef unsigned int | JDIMENSION
typedef int | boolean

## Macro Definition Documentation

#define BITS_IN_JSAMPLE 8 /* use 8 or 12 */

Definition at line 23 of file jmorecfg.h.

#define CENTERJSAMPLE 128

Definition at line 74 of file jmorecfg.h.

#define EXTERN | ( |  | type | ) | extern type

Definition at line 190 of file jmorecfg.h.

#define FALSE 0 /* values of boolean */

Definition at line 230 of file jmorecfg.h.

#define FAR

Definition at line 215 of file jmorecfg.h.

#define GETJOCTET | ( |  | value | ) | ((value) & 0xFF)

Definition at line 119 of file jmorecfg.h.

#define GETJSAMPLE | ( |  | value | ) | ((int) (value) & 0xFF)

Definition at line 68 of file jmorecfg.h.

#define GLOBAL | ( |  | type | ) | type

Definition at line 188 of file jmorecfg.h.

#define JMETHOD | ( |  | type,
|  |  | methodname,
|  |  | arglist
| ) |  | type (*methodname) ()

Definition at line 202 of file jmorecfg.h.

#define JPEG_MAX_DIMENSION 65500L /* a tad under 64K to prevent overflows */

Definition at line 173 of file jmorecfg.h.

#define LOCAL | ( |  | type | ) | static type

Definition at line 186 of file jmorecfg.h.

#define MAX_COMPONENTS 10 /* maximum number of image components */

Definition at line 35 of file jmorecfg.h.

#define MAXJSAMPLE 255

Definition at line 73 of file jmorecfg.h.

#define METHODDEF | ( |  | type | ) | static type

Definition at line 184 of file jmorecfg.h.

#define TRUE 1

Definition at line 233 of file jmorecfg.h.

## Typedef Documentation

typedef int boolean

Definition at line 227 of file jmorecfg.h.

typedef short INT16

Definition at line 155 of file jmorecfg.h.

typedef long INT32

Definition at line 161 of file jmorecfg.h.

typedef short JCOEF

Definition at line 99 of file jmorecfg.h.

typedef unsigned int JDIMENSION

Definition at line 171 of file jmorecfg.h.

typedef char JOCTET

Definition at line 115 of file jmorecfg.h.

typedef char JSAMPLE

Definition at line 64 of file jmorecfg.h.

typedef unsigned int UINT16

Definition at line 149 of file jmorecfg.h.

typedef short UINT8

Definition at line 140 of file jmorecfg.h.